/******************************************************************************
*
* File: main.c
*
* Description: This module contains the main function(s) of the user application
*              program
*
* Date: 2/5/2009
*
* Generates: BIM_M13x Wizard
*
******************************************************************************/
#include "BIM_M13x.h"
#include "application.h"

// ram flags for communication objects
BYTE RAMFlags[(NUM_OF_COM_OBJ / 2) + 1];

// communication objects
BYTE   obj_UINT1;
BYTE   obj_UINT6;
BYTE   obj_UINT8;
USHORT obj_UINT16;
BYTE   obj_TIME[3];
BYTE   obj_DATA6[6];
BYTE   obj_DATA10[10];
BYTE   obj_MAXDATA[14];

/******************************************************************************/


//------------------------------------------------------------------------
//  This is the main function of the application program
//  It is called at the end of cstartup
//------------------------------------------------------------------------
void main (void)
{
    // Do some initializations
    AppInit();

    // Start the main loop of the application program
    // it will be interrupted every 3.3ms and
    // continued after a complete system cycle
    for(;;)
    {
        Application_Task();
    }
}

//------------------------------------------------------------------------
//  This function is called on loss of power
//------------------------------------------------------------------------
void save()
{
}

//------------------------------------------------------------------------
//  This function is called if there was an
//  unload of the application program
//------------------------------------------------------------------------
void unload()
{
}

const BYTE NbComsOb = NUM_OF_COM_OBJ;
const CObjPtr CObjects[] =      // set table for com objects
{
    (void*)&NbComsOb,           // ptr to number of cobjects
//------------------------------------------------------------------------
//  Here the addresses of the communication objects are specified
//------------------------------------------------------------------------
    &obj_UINT1,
    &obj_UINT6,
    &obj_UINT8,
    &obj_UINT16,
    &obj_TIME,
    &obj_DATA6,
    &obj_DATA10,
    &obj_MAXDATA
};

//------------------------------------------------------------------------
//  In the application info block the application program gives some
//  necessary information for the operation system
//------------------------------------------------------------------------
#pragma constseg = APPINFOBLOCK
const AppInfoBlock AIB =
{
    Swap(0x0001),                   // AIBVersion
    0x01, 0x01,                     // ApplFirmwareVersion, ApplFirmwareSubVersion
    __program_start,                // AppMain
    save,                           // AppSave
    unload,                         // AppUnload
    CObjects,                       // pCObjects
    RAMFlags,                       // pRAMFlags
    &UserTimerTab,                  // pUserTimerTab
    NULL,                           // pUsrIntObjRoot
    NULL,                           // pUsrParamMgmt
    0x0000                          // WatchDogTime
};
#pragma constseg = default
